package main

import (
	"go.wit.com/log"
	"go.wit.com/gui/widget"
)

func (n *node) addText(a *widget.Action) {
	log.Log(CHANGE, "addText() START with a.Value =", a.Value)
	t := n.tk
	if (t == nil) {
		log.Log(ERROR, "addText error. tk == nil", n.progname, n.WidgetId)
		return
	}
	log.Log(CHANGE, "addText() Attempt on", n.WidgetType, "with", a.Value)

	switch n.WidgetType {
	case widget.Dropdown:
		n.addDropdownName(getString(a.Value))
	case widget.Combobox:
		n.addComboboxName(getString(a.Value))
	default:
		log.Log(ERROR, "plugin Send() Don't know how to addText on", n.WidgetType, "yet", a.ActionType)
	}
	log.Log(CHANGE, "addText() END with a.Value =", a.Value)
}
